Solved TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post found bugs and possible workarounds.
Dave Rabelink
Founder/Site Admin
Founder/Site Admin
Netherlands
Posts: 484
Joined: 24 Feb 2017, 09:12
Location: Gouda, The Netherlands

TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by Dave Rabelink » 05 Jun 2018, 07:46

Ticket # 3772527
TD-23917

When opening a TD71 saved source file in TD 704, no "incorrect outline file version" error is shown.

Opening the file in TD639, the error msg is shown:

VersionError.png

The TD 704 IDE just ignores it and does not load the file.

Use test sources in archive.
TestSources.zip
You do not have the required permissions to view the files attached to this post.
Regards,
Dave Rabelink

Image
Articles and information on Team Developer Tips & Tricks Wiki
Download samples, documents and resources from TD Sample Vault
Videos on TDWiki YouTube Channel

FRBhote
India
Posts: 100
Joined: 09 Mar 2017, 05:32
Location: Hyderabad, India

Re: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by FRBhote » 05 Jun 2018, 10:31

That's good!

Dave Rabelink
Founder/Site Admin
Founder/Site Admin
Netherlands
Posts: 484
Joined: 24 Feb 2017, 09:12
Location: Gouda, The Netherlands

Re: TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by Dave Rabelink » 06 Jun 2018, 05:27

This is fixed in TD7.1.
Will be in upcoming TD 7.0.5 release.
Regards,
Dave Rabelink

Image
Articles and information on Team Developer Tips & Tricks Wiki
Download samples, documents and resources from TD Sample Vault
Videos on TDWiki YouTube Channel

FRBhote
India
Posts: 100
Joined: 09 Mar 2017, 05:32
Location: Hyderabad, India

Re: TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by FRBhote » 06 Jun 2018, 10:55

Why? Backward compatibility is a good thing.

Dave Rabelink
Founder/Site Admin
Founder/Site Admin
Netherlands
Posts: 484
Joined: 24 Feb 2017, 09:12
Location: Gouda, The Netherlands

Re: TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by Dave Rabelink » 06 Jun 2018, 11:32

FRBhote wrote:
06 Jun 2018, 10:55
Why? Backward compatibility is a good thing.
You would be right if TD would backport the sources automatically.
But unfortunately, it is still not backward compatible.

The issue here is that we don't get an error message anymore and TD does not load the file...
Regards,
Dave Rabelink

Image
Articles and information on Team Developer Tips & Tricks Wiki
Download samples, documents and resources from TD Sample Vault
Videos on TDWiki YouTube Channel

Dave Rabelink
Founder/Site Admin
Founder/Site Admin
Netherlands
Posts: 484
Joined: 24 Feb 2017, 09:12
Location: Gouda, The Netherlands

Re: TD-23917: TD71 saved files (apt/app/apl) do not trigger "Incorrect outline version" in TD704

Post by Dave Rabelink » 13 Jul 2018, 17:59

This defect is fixed in TD 7.0.5
Regards,
Dave Rabelink

Image
Articles and information on Team Developer Tips & Tricks Wiki
Download samples, documents and resources from TD Sample Vault
Videos on TDWiki YouTube Channel

Return to “Bug Reports”

Who is online

Users browsing this forum: Ccbot [Crawler] and 0 guests